PATCH /connections/{id}
Partially update a connection by its ID.

Authentication

API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)

Path Parameters

id string required path
Resource ID (32-char hex)
Example: "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"

Request Body required

Request body

application/json
name string
Connection name
description string
Connection description
enabled boolean
Whether the connection is enabled
filter_rules object[]
Content-based filter rules
Array of:
status string
Connection status
Enum: active, paused, disabled
transform_enabled boolean
Enable JSONata transform
transform_expression string
JSONata transform expression

Responses

200 Updated connection
application/json
connection object | null REQUIRED
id string REQUIRED
org_id string REQUIRED
env_id string REQUIRED
source_id string REQUIRED
destination_id string REQUIRED
name string REQUIRED
description string | null REQUIRED
enabled integer REQUIRED
filter_rules string | null REQUIRED
status string REQUIRED
event_count integer REQUIRED
last_event_at string | null REQUIRED
created_at string REQUIRED
updated_at string REQUIRED
transform_enabled integer REQUIRED
transform_expression string | null REQUIRED
source_name string | null REQUIRED
destination_name string | null REQUIRED
400 Validation error
401 Unauthorized
404 Connection not found
curl -X PATCH 'https://hookstream.io/v1/connections/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "description": "string",
  "enabled": true,
  "filter_rules": [
    {}
  ],
  "status": "active",
  "transform_enabled": true,
  "transform_expression": "string"
}'
const response = await fetch('https://hookstream.io/v1/connections/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', {
  method: 'PATCH',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN",
      "Content-Type": "application/json"
  },
  body: JSON.stringify({
    "name": "string",
    "description": "string",
    "enabled": true,
    "filter_rules": [
      {}
    ],
    "status": "active",
    "transform_enabled": true,
    "transform_expression": "string"
  })
});

const data = await response.json();
console.log(data);
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.patch('https://hookstream.io/v1/connections/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', headers=headers, json={
  "name": "string",
  "description": "string",
  "enabled": true,
  "filter_rules": [
    {}
  ],
  "status": "active",
  "transform_enabled": true,
  "transform_expression": "string"
})
print(response.json())
package main

import (
	"fmt"
	"io"
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{
  "name": "string",
  "description": "string",
  "enabled": true,
  "filter_rules": [
    {}
  ],
  "status": "active",
  "transform_enabled": true,
  "transform_expression": "string"
}`)
	req, _ := http.NewRequest("PATCH", "https://hookstream.io/v1/connections/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6", body)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
	req.Header.Set("Content-Type", "application/json")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
200 Response
{
  "connection": {
    "id": "<string>",
    "org_id": "<string>",
    "env_id": "<string>",
    "source_id": "<string>",
    "destination_id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "enabled": 123,
    "filter_rules": "<string>",
    "status": "<string>",
    "event_count": 123,
    "last_event_at": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "transform_enabled": 123,
    "transform_expression": "<string>",
    "source_name": "<string>",
    "destination_name": "<string>"
  }
}
PATCH /connections/{id}
Ask a question... ⌘I